pytextmonitor
=============

Информация
----------
PyTextMonitor - мінімалістичний плазмоїд, що написаний на Python2. Він виглядає, як віджети в Awesome WM.

**УВАГА** [ПОТРІБНІ ПЕРЕКЛАДАЧІ!](https://github.com/arcan1s/pytextmonitor/issues/14)

Налаштування
------------
Для редагування зовнішного вигляду, відкрийте вікно налаштувань та встановіть потрібний формат в поля:
* тег `$time` - час у стандартному форматі. Наприклад, *fri Nov 6 04:48:01 2013*
* тег `$isotime` - час в ISO форматі
* тег `$shorttime` - час в короткому форматі
* тег `$longtime` - час в довгому форматі
* тег `$custom` - свій формат часу
* тег `$uptime` - час роботи, *---d--h--m*
* тег `$custom` - свій формат аптайму
* тег `$cpu` - загальне завантаження CPU, *%*
* тег `$cpuN` - завантаження CPU для ядра N, *%*
* тег `$cpucl` - середня частота CPU, *MHz*
* тег `$cpuclN` - частота CPU для ядра N, *MHz*
* тег `$tempN` - температура для пристрою N. Наприклад, `$temp0`
* тег `$gpu` - використання GPU, *%*. `aticonfig` або `nvidia-smi` мають бути встановлені
* тег `$gputemp` - температура GPU. `aticonfig` або `nvidia-smi` мають бути встановлені
* тег `$mem` - використання RAM, *%*
* тег `$memmb` - використання RAM, *MB*
* тег `$memgb` - використанняRAM, *GB*
* тег `$swap` - swap, *%*
* тег `$swapmb` - swap, *MB*
* тег `$swapgb` - swap, *GB*
* тег `$hddN` - використання точки монтування N, *%*. Наприклад, `$hdd0`
* тег `$hddmbN` - використання точки монтування N, *KB/s*. Наприклад, `$hddmb0`
* тег `$hddgbN` - використання точки монтування N, *KB/s*. Наприклад, `$hddgb0`
* тег `$hddrN` - швидкість запису на диск N, *KB/s*. Наприклад, `$hddr0`
* тег `$hddwN` - швидкість читання з диска N, *KB/s*. Наприклад, `$hddw0`
* тег `$hddtempN` - температура HDD N. Наприклад, `$hddtemp0`
* тег `$down` - швидкість завантаження, *KB/s*
* тег `$up` - швидкість віддачі, *KB/s*
* тег `$netdev` - поточний мережний інтерфейс
* тег `$bat` - заряд батареї, *%*
* тег `$ac` - статус адаптера живлення. Повертає `(*)`, якщо AC підключений або `( )`, якщо ні
* тег `$album` - альбом. Один з підтримуваних плеєрів повинен бути встановлений
* тег `$artist` - виконавець. Один з підтримуваних плеєрів повинен бути встановлений
* тег `$progress` - прогрес. Один з підтримуваних плеєрів повинен бути встановлений
* тег `$time` - тривалість. Один з підтримуваних плеєрів повинен бути встановлений
* тег `$title` - назва. Один з підтримуваних плеєрів повинен бути встановлений
* тег `$pscount` - кількість запущених процесів
* тег `$pstotal` - загальна кількість процесів
* тег `$ps` - перелік процесів
* тег `$pkgcountN` - кількість пакетів, що можуть бути оновлені, для команди N. Наприклад, `$pkgcount0`
* тег `$customN` - повертає результат своеї команди N. Наприклад, `$custom0`

Порядок полів зміниться, якщо ви зміните позицію слайдерів. HTML теги в полях працюють коректно.

**ЗАУВАЖЕННЯ** ви не зможете встановити тег `$cpu`, наприклад, в полі swap. **`$cpu` буде працювати тільки в полі CPU**.

Розширені налаштування
----------------------
**Свіой формат часу**

* тег `$dddd` - день тижня у довгому форматі
* тег `$ddd` - день тижня у короткому форматі
* тег `$dd` - день
* тег `$d` - день без нуля
* тег `$MMMM` - місяць у довгому форматі
* тег `$MMM` - місяць у короткому форматі
* тег `$MM` - місяць
* тег `$M` - місяця без нуля
* тег `$yyyy` - рік
* тег `$yy` - рік у короткому форматіе
* тег `$hh` - години
* тег `$h` - години без нуля
* тег `$mm` - хвилини
* тег `$m` - хвилини без нуля
* тег `$ss` - секунди
* тег `$s` - секунди без нуля

**Свій формат аптайму**

* тег `$dd` - дні аптайму
* тег `$d` - дні аптайму без нуля
* тег `$hh` - години аптайму
* тег `$h` - години аптайму без нуля
* тег `$mm` - хвилини аптайму
* тег `$m` - хвилини аптайму без нуля


**Одиниці виміру температури**

Оберіть одиниці виміру температур. Доступні такі одиниці: Цельсій, Фаренгейт та Кельвін.

**Датчики температури**

Перелік датчиків, що будуть спостерігатись в полі temo (вміст комбо боксу береться із `sensors`). Віджет можна редагувати, клавіша delete видаляє поточний рядок.

**Точки монтування**

Перелік точок монтування, які будуть спостерігатися в полі hdd (вміст комбо боксу береться із `mount`). Віджет можна редагувати, клавіша delete видаляє поточний рядок.

**HDD (швидкість)**

Перелік HDD, які будуть спостерігатися в полі hddspeed (вміст комбо боксу береться із DataEngine). Віджет можна редагувати, клавіша delete видаляє поточний рядок.

**HDD (температура)**

Перелік HDD, які будуть спостерігатися в полі hddtemp (вміст комбо боксу береться iз `find`). Віджет можна редагувати, клавіша delete видаляє поточний рядок.

**Директорія з мережевими інтерфейсами**

Шлях до директорії, яка містить інформацію про мережеві інтерфейси. За замовчуванням `/sys/class/net`. Потрібно для визначення мережевого пристрою.

**Мережевий пристрій**

Використовувати вказаний інтерфейс, як активний. Вміст комбо боксу береться із **директорії з мережевими інтерфейсами**. Ця опція вимкне авто визначення інтерфейсу.

**Пристрій батареї**

Файл з інформацією про батарею. Даний файл (`/sys/class/power_supply/BAT0/capacity` за замовчуванням) повинен містити тільки заряд батареї в процентах.

**AC online тег**

Рядок, що буде показаний, коли AC онлайн.

**AC offline тег**

Рядок, що буде показаний, коли AC оффлайн.

**Пристрій AC**

Файл з інформациею про адаптер живлення. Даний файл (`/sys/class/power_supply/AC/online` за замовчуванням) повинен містити `1`, якщо адаптер підключений.

**Музичний плеєр**

Оберіть один з підтримуваних музичних плеєрів.

Налаштування тултіпу
--------------------
Починаючи з версії 1.7.0 поля CPU, частота CPU, пам’ять, swap та мережа підтримують графічний тултіп. Щоб їх ввімкнути, просто зробіть необхідні чекбокси повністю чекнутими. Кількість зберігаємих значень може бути виставлена в даній вкладці. Кольори графікіф також налаштовуються.

Налаштування DataEngine
-----------------------
**Своя команда**

*ЗАУВАЖЕННЯ* Може призвести до зависання комп’ютера.

Команда, що буде запущена для відповідного поля.

**Пристрій GPU**

Оберіть один з підтримуваних пристроїв GPU. `auto` ввімкне автоматичне визначення. За замовчуванням `auto`.

**HDD**

Оберіть один з HDD для контролю його температури. `all` ввімкне контроль для всих доступних пристроїв. За замовчуванням `all`.

**Команда hddtemp**

Оберіть команду, яка буде запущена для hddtemp DataEngine. За замовчуванням `sudo hddtemp`.

**Адреса MPD**

Адреса MPD серверу. За замовчуванням `localhost`.

**Порт MPD**

Порт MPD серверу. За замовчуванням `6600`.

**Package manager**

Перелік команд, які будуть запущені. кількість пустих рядків - кількість непотрібних для підрахунку рядків. Стандартні налаштування:
* *Arch*: `PKGCMD=pacman -Qu`, `PKGNULL=0`
* *Debian*: `PKGCMD=apt-show-versions -u -b`, `PKGNULL=0`
* *Ubuntu*: `PKGCMD=aptitude search '~U'`, `PKGNULL=0`
* *Fedora*: `PKGCMD=yum list updates`, `PKGNULL=3`
* *FreeBSD*: `PKGCMD=pkg_version -I -l '<'`, `PKGNULL=0`
* *Mandriva*: `PKGCMD=urpmq --auto-select`, `PKGNULL=0`

Налаштування DataEngine
-----------------------
Ви можете відредагувати налаштування DataEngine вручну. Відкрийте файл `/usr/share/config/extsysmon.conf` або `$HOME/.kde4/share/config/extsysmon.conf`, в залежності від типу установки. Розкоментуйте потрібні рядки та відредагуйте їх.

Інструкція
==========

Залежності
----------
* kdebase-workspace
* kdebindings-python2
* lm_sensors (*для визначення датчиків температури*)
* sysstat (*для сповіщень*)

Опціональні залежності
----------------------
* проприєтарний відеодрайвер
* hddtemp (переконайтесь, що може бути запущений з `sudo` без пароля. Просто добавте наступний рядок в `/etc/sudoers`: `$USERNAME ALL=NOPASSWD: /usr/bin/hddtemp`)
* музичний плеєр (amarok, clementine, mpd или qmmp)

Залежності збирання
-------------------
* automoc4
* cmake
* kdebase-runtime

Установка
---------
* скачати вихідний архів
* встановити

        mkdir build && cd build
        cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=`kde4-config --localprefix` ../
        make && make install

  Для установки в `/`:

        mkdir build && cd build
        cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` ../
        make && sudo make install

Додаткова інформація
====================

TODO (wish list)
----------------

Посилання
---------
* [Домашня сторінка](http://arcanis.name/projects/pytextmonitor/)
* Віджет на [kde-look](http://kde-look.org/content/show.php/Py+Text+Monitor?content=157124)
* DataEngine на [kde-look](http://kde-look.org/content/show.php/Extended+Systemmonitor+DataEngine?content=158773)
* Пакет для Archlinux в [AUR](https://aur.archlinux.org/packages/kdeplasma-applets-pytextmonitor/)
